***

title: create
slug: /reference/python/rest/addresses/create
description: Create a new regulatory address.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Create a new regulatory address.

<EndpointSchemaSnippet endpoint="POST /api/relay/rest/addresses" />

## **Response Example**

<EndpointResponseSnippet endpoint="POST /api/relay/rest/addresses" />

## **Example**

```python {9}
from signalwire.rest import RestClient

client = RestClient(
    project="your-project-id",
    token="your-api-token",
    host="your-space.signalwire.com",
)

addr = client.addresses.create(
    label="HQ Address",
    country="US",
    first_name="Jane",
    last_name="Doe",
    street_number="123",
    street_name="Main St",
    city="Austin",
    state="TX",
    postal_code="78701",
)
print("Created address:", addr.get("id"))
```